Skip to content
Permalink
Browse files

Deprecate ScipyOdeSimulator Theano backend (#428)

Theano itself is "dead", so we'll remove compiler='theano' support
in a future version of ScipyOdeSimulator.
  • Loading branch information...
alubbock committed Apr 24, 2019
1 parent 5a7d307 commit c23608a2d230e3a9ad626a97e441224b96dcd50c
Showing with 6 additions and 0 deletions.
  1. +6 −0 pysb/simulator/scipyode.py
@@ -247,6 +247,12 @@ def rhs(t, y, p):
+ ',') + tuple(model.parameters)

if self._compiler == 'theano':
warnings.warn(
"theano backend is deprecated; cython backend is "
"recommended instead",
category=DeprecationWarning,
stacklevel=2
)
if theano is None:
raise ImportError('Theano library is not installed')

0 comments on commit c23608a

Please sign in to comment.
You can’t perform that action at this time.